Package org.eclipse.e4.ui.di

## Annotation Type UIEventTopic

    @Qualifier
    @Documented
    @Target({FIELD,PARAMETER})
    @Retention(RUNTIME)
    public @interface UIEventTopic

This annotation can be applied to arguments and fields that want to receive notifications on the specified event topic. Method containing such arguments will be called on the main thread.

Normally EventTopic annotations will be marked as optional. Those annotations establish a link rather then provide a value at the time of injection.

Example usage:

       public class Car {
         @void handle(@Optional @UIEventTopic("org/eclipse/e4/some/event/topic") Payload payload);
         ...
       }

Since:
  1.0

### Optional Element Summary

Optional Elements
`String` `value`

### Element Detail

#### value

    String value

Default:
  ""